QGIS Application - Bug report #18984
Processing "Import vector into PostGIS database" can't change schema name
2018-05-18 12:05 PM - Luca Lanteri

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GDAL

Affected QGIS version:3.1(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 26815
Description

when | try to change the name of the schema in the "Import vector into PostGIS database (available connection)” processing algoritm
return this error:

An error has occurred while executing Python code:

KeyError: 'TABLE'
Traceback (most recent call last):
File "C:/OSGEO4~2/apps/qgis-dev/./python/plugins\processing\algs\gdal\GdalAlgorithmDialog.py", line 116, in
parametersHaveChanged
or (not p.checkValuelsAcceptable(parameters[p.name()])):
KeyError: 'TABLE'

Python version: 3.6.0 (v3.6.0:41df79263a11, Dec 23 2016, 08:06:12) [MSC v.1900 64 bit (AMD64)]
QGIS version: 3.1.0-Master Master, bf8b1e90da

History

#1 - 2018-12-28 11:57 AM - Paolo Cavallini
- Status changed from Open to Feedback

Could you please check again in current release?
Thanks.

#2 - 2019-01-10 09:54 PM - Luca Lanteri

It works fine in 3.4.0

#3 - 2019-01-11 12:08 AM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed
